from os.path import abspath, dirname, join

from caosadvancedtools.serverside.helper import get_data
from linkahead import configure_connection, get_connection
from linkahead.connection.mockup import MockUpResponse, MockUpServerConnection
from loan.box_loan import (BORROWER, BOX, EMAIL, EXPECTED_RETURN, F_EMAIL, F_EXPECTED_RETURN_DATE,
                           F_FIRST_NAME, F_LAST_NAME, FIRST_NAME, LAST_NAME, LENT, LOAN,
                           LOAN_REQUESTED, PERSON, RETURN_REQUESTED, DataError, StateError)
from loan.request_return import _issue_return_request, get_loan
from pytest import raises

from utils import get_form_data_example


def test_return_request_with_wrong_return_date():
    data = get_data(get_form_data_example())
    data[F_EXPECTED_RETURN_DATE] = "1983-02-03"
    with raises(DataError):
        _issue_return_request(data)

    data[F_EXPECTED_RETURN_DATE] = "asdf"
    with raises(DataError):
        _issue_return_request(data)

    data[F_EXPECTED_RETURN_DATE] = ""
    with raises(DataError):
        _issue_return_request(data)

    del data[F_EXPECTED_RETURN_DATE]
    with raises(DataError):
        _issue_return_request(data)
